#include <bits/stdc++.h>
using namespace std;
int n, k, p[20005],m;
int main(){
  cin>>n>>k;
  for(int i=1;i<=n;i++){
    cin>>p[i];
    if(p[i]==k){
      m=i;
}
}
  if (m!=n)  {
    cout<<p[m+1]<<endl;
}
  if (m==n) {
      cout << p[1] << endl;
}
  return 0;